Loading...
Searching...
No Matches
caf::stream_source_trait< Pull > Struct Template Reference

Deduces the output type and the state type for a stream source from its pull implementation. More...

`#include <stream_source_trait.hpp>`

## Public Types

using | output = unit_t
using | state = unit_t

## Static Public Attributes

static constexpr bool | valid = false

## Detailed Description

template<class Pull>
struct caf::stream_source_trait< Pull >

Deduces the output type and the state type for a stream source from its pull implementation.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/stream_source_trait.hpp